| CUTLASS CUDA Templates for Linear Algebra Subroutines and Solvers

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
cutlass::Array< T, N, true >::const_reverse_iterator Class Reference

Bidirectional constant iterator over elements.

`#include <array.h>`

## Public Member Functions
CUTLASS_HOST_DEVICE | const_reverse_iterator ()
CUTLASS_HOST_DEVICE | const_reverse_iterator (T const *_ptr)
CUTLASS_HOST_DEVICE const_reverse_iterator & | operator++ ()
CUTLASS_HOST_DEVICE const_reverse_iterator & | operator-- ()
CUTLASS_HOST_DEVICE const_reverse_iterator | operator++ (int)
CUTLASS_HOST_DEVICE const_reverse_iterator | operator-- (int)
CUTLASS_HOST_DEVICE T const & | operator* () const
CUTLASS_HOST_DEVICE bool | operator== (const_iterator const &other) const
CUTLASS_HOST_DEVICE bool | operator!= (const_iterator const &other) const

## Constructor & Destructor Documentation

template<typename T , int N>

CUTLASS_HOST_DEVICE cutlass::Array< T, N, true >::const_reverse_iterator::const_reverse_iterator | ( |  | ) |
| inline

template<typename T , int N>

CUTLASS_HOST_DEVICE cutlass::Array< T, N, true >::const_reverse_iterator::const_reverse_iterator | ( | T const * | _ptr | ) |
| inline

## Member Function Documentation

template<typename T , int N>

CUTLASS_HOST_DEVICE bool cutlass::Array< T, N, true >::const_reverse_iterator::operator!= | ( | const_iterator const & | other | ) | const
| inline

template<typename T , int N>

CUTLASS_HOST_DEVICE T const& cutlass::Array< T, N, true >::const_reverse_iterator::operator* | ( |  | ) | const
| inline

template<typename T , int N>

CUTLASS_HOST_DEVICE const_reverse_iterator& cutlass::Array< T, N, true >::const_reverse_iterator::operator++ | ( |  | ) |
| inline

template<typename T , int N>

CUTLASS_HOST_DEVICE const_reverse_iterator cutlass::Array< T, N, true >::const_reverse_iterator::operator++ | ( | int |  | ) |
| inline

template<typename T , int N>

CUTLASS_HOST_DEVICE const_reverse_iterator& cutlass::Array< T, N, true >::const_reverse_iterator::operator-- | ( |  | ) |
| inline

template<typename T , int N>

CUTLASS_HOST_DEVICE const_reverse_iterator cutlass::Array< T, N, true >::const_reverse_iterator::operator-- | ( | int |  | ) |
| inline

template<typename T , int N>

CUTLASS_HOST_DEVICE bool cutlass::Array< T, N, true >::const_reverse_iterator::operator== | ( | const_iterator const & | other | ) | const
| inline

The documentation for this class was generated from the following file:

- array.h